/{organizationId}/work/todo/topics/{topicId}/workflowUpdate todo topic workflow
Updates todo topic statuses and types
Required permissions:
todoTopic.edit
Path Parameters
organizationIdstringrequired topicIdstringrequired Request Body required
Content-Type: application/json
revisionintegerrequired minimum: 0
maximum: 9007199254740991
minItems: 2
maxItems: 100
minItems: 1
maxItems: 50
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/work/todo/topics/{topicId}/workflow' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"revision": 0,
"statuses": [
{
"_id": "string",
"label": "string",
"color": "slate",
"role": "regular",
"order": 0,
"archivedAt": "2026-06-15T22:30:00Z"
}
],
"types": [
{
"name": "string",
"emoji": "string",
"order": 0,
"archivedAt": "2026-06-15T22:30:00Z",
"statuses": [
"string"
],
"statusTransitions": [
{
"fromStatus": "string",
"toStatuses": [
"string"
]
}
]
}
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}